Skip to navigation

Lookup Product

Retrieve product information for any supported product URL.

Returns the same Product model as GET /v1/products/{product_id}. The product_id in the response can be used with the Product Detail endpoint.

Authentication

x-api-keystring
API Key authentication via header

Headers

X-Channel3-LanguagestringOptional
X-Channel3-CountrystringOptional
X-Channel3-CurrencystringOptional
X-Channel3-Length-UnitstringOptional
X-Channel3-Weight-UnitstringOptional
x-user-idstring or nullOptional
Optional user identifier to attribute clicks and sales to a user in your system. Channel3 appends it to buy URLs in the response.

Request

This endpoint expects an object.
urlstringRequired
The URL of the product to look up
max_staleness_hoursintegerOptional>=1Defaults to 3

Maximum age (in hours) of cached product data before forcing a fresh lookup. Defaults to 3 hours.

Response

Successful Response
productobject
Product with detailed information.

Errors

401
Unauthorized Error
402
Payment Required Error
404
Not Found Error
422
Unprocessable Entity Error
500
Internal Server Error
504
Gateway Timeout Error